Subject: Re: bug#69305: outline-minor-mode for tabulated-list-mode

From: Ihor Radchenko <[email-masked]>
Date: Sat, 24 Feb 2024 18:06:46 +0000

Juri Linkov <[email-masked]> writes:

> +@defvar tabulated-list-groups
> +This buffer-local variable specifies the groups of entries displayed in
> +the Tabulated List buffer.  Its value should be either a list, or a
> +function.
> +
> +If the value is a list, each list element corresponds to one group, and
> +should have the form @w{@code{(@var{group-name} @var{entries})}}, where
> +@var{group-name} is a string inserted before all group entries, and
> +@var{entries} have the same format as @code{tabulated-list-entries}
> +(see above).
> +
> +Otherwise, the value should be a function which returns a list of the
> +above form when called with no arguments.
> +@end defvar

I am wondering if flexible grouping system from Adam's org-super-agenda
package may provide some inspiration.
Check out
https://github.com/alphapapa/org-super-agenda/?tab=readme-ov-file#usage

-- 
Ihor Radchenko // yantar92,
Org mode contributor,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>